#ifndef _SPHEREDISC_H
#define _SPHEREDISC_H
#include "Shader.h"
#include <vector>

using namespace std;

class XYZ{
public:
  float x, y, z;
};

class SphereDisc : public Shader 
{
  private:
   static const string vsCode;   // Source code of vertex shader
   static const string fsCode ;  // Source code of fragment shader
   static const int vertexCount = 3;
   static const int COORDS_PER_VERTEX = 3;
   static const int N_STACKS = 32;   
   static const int N_SLICES = 32;
   static const float lightPos[4];	//light source position

   vector<XYZ> vertices; 
   // Set color with red, green, blue and alpha (opacity) values
   float *sphereCoords;
   short *drawOrders;            //draw order list
   int nTriangles;
  public:
   static const float eyePos[4];  // = {0, 0, 6.3, 1};	viewing position
   SphereDisc( int &success );
   ~SphereDisc();
   void createSphere ( float r, int nSlices, int nStacks ); 
   void draw( float mvpMatrix[4][4] );
};
#endif

