#ifndef _SPHEREUBER_H
#define _SPHEREUBER_H
#include "Shader.h"
#include <vector>

using namespace std;

class XYZ{
public:
  float x, y, z;
};

class Sphereuber : public Shader 
{
  private:
   static const string vsCode;   // Source code of vertex shader
   static const string fsCode ;  // Source code of fragment shader
   static const int vertexCount = 3;
   static const int COORDS_PER_VERTEX = 3;
   static const int N_STACKS = 24;   
   static const int N_SLICES = 24;
   static const float shininess = 50;    
   static const float lightPos[4];	//light source position

   vector<XYZ> vertices; 
   float *sphereCoords;
   short *drawOrders;            //draw order list
   int nTriangles;
  public:
   static const float eyePos[4];  // = {0, 0, 6.3, 1};	viewing position
   Sphereuber( int &success );
   ~Sphereuber();
   void createSphere ( float r, int nSlices, int nStacks ); 
   void draw( float mvpMatrix[4][4] );
};
#endif

